﻿using System;
using Android.Content;
using CameraDifference;
using CameraDifference.Droid;
using Xamarin.Forms;

[assembly: Dependency(typeof(WebBrowserService))]

namespace CameraDifference.Droid
{
	public class WebBrowserService : IWebBrowserService
	{
		public void Open(Uri uri)
		{
			Forms.Context.StartActivity(
				new Intent(Intent.ActionView,
					global::Android.Net.Uri.Parse(uri.AbsoluteUri)));
		}
	}
}